Bug 1020522 - Update sub-man man page for new list options
Update sub-man man page for new list options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: 7.0
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-10-17 16:03 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:56:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2013-10-17 16:03:24 EDT
Description of problem:
Ypdate sub-man man page for new option --no-overlap and --match-installed which are used to filter subscriptions along with subscription-manager list --available

Version-Release number of selected component (if applicable):
# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.29-1
subscription-manager: 1.10.4-1.el7
python-rhsm: 1.10.3-1.el7


Need man page for subscription-manager to be updated for the below options.

# subscription-manager list --available --help
Usage: subscription-manager list [OPTIONS]

List subscription and product information for this system

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy URL in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for HTTP proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for HTTP proxy with basic authentication
  --installed           list shows those products which are installed
                        (default)
  --available           show those subscriptions which are available
  --all                 used with --available to ensure all subscriptions are
                        returned
  --ondate=ON_DATE      date to search on, defaults to today's date, only used
                        with --available (example: 2013-10-17)
  --consumed            show the subscriptions being consumed by this system
  --servicelevel=SERVICE_LEVEL
                        shows only subscriptions matching the specified
                        service level; only used with --available and
                        --consumed
  --no-overlap          shows pools which provide products that are not
  ^^^^^^^^^^^^^         already covered; only used with --available
  --match-installed     shows only subscriptions matching products that are
  ^^^^^^^^^^^^^^^^^^    currently installed; only used with --available


# man -P cat subscription-manager | tail -1
version 2.7       May23,2013     subscription-manager(8)


Additional Information:

The above highlighted options can 'only' be used in conjunction with subscription-manager list --available.
Comment 3 Bryan Kearney 2014-01-30 12:35:07 EST
commit 647eb03da043cdc7086f45224fb12be44aea1ae1
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Wed Jan 29 13:36:27 2014 -0500

    1020522: Update the man page for subscription-manager with new list options
Comment 5 Rehana 2014-02-06 02:47:50 EST
Now these new list options --no-overlap,--match-installed are added to Man page

[root@hp-ml350egen8-01 ~]# man subscription-manager

<snip>

LIST OPTIONS
       The  list  command lists all of the subscriptions that are compatible with a system. The options allow the list to be filtered by subscriptions that are used by the system or unused subscriptions that are available to the system.

<snip>

  --no-overlap
              Shows pools which provide products that are notalready covered; only used with --available option.

  --match-installed
              Shows only subscriptions matching products that are currently installed; only used with --available option.


[root@hp-ml350egen8-01 ~]# subscription-manager list --help
Usage: subscription-manager list [OPTIONS]

List subscription and product information for this system

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy URL in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for HTTP proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for HTTP proxy with basic authentication
  --installed           list shows those products which are installed
                        (default)
  --available           show those subscriptions which are available
  --all                 used with --available to ensure all subscriptions are
                        returned
  --ondate=ON_DATE      date to search on, defaults to today's date, only used
                        with --available (example: 2014-02-06)
  --consumed            show the subscriptions being consumed by this system
  --servicelevel=SERVICE_LEVEL
                        shows only subscriptions matching the specified
                        service level; only used with --available and
                        --consumed
  --no-overlap          shows pools which provide products that are not
                        already covered; only used with --available
  --match-installed     shows only subscriptions matching products that are
                        currently installed; only used with --available

Hence, moving the bug to Verified

verified on,

subscription-manager version 
server type: Red Hat Subscription Management
subscription management server: 0.9.2-1
subscription-manager: 1.10.13-1.el7
python-rhsm: 1.10.12-1.el7

man -P cat subscription-manager | tail -1
version 2.8  January 29, 2014  subscription-manager(8)
Comment 6 Ludek Smid 2014-06-13 08:56:24 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.